# List webhooks

> List all webhooks on your workspace.

Source: https://sndr.sh/docs/api/webhooks/list-webhooks

`GET https://api.sndr.sh/v1/webhooks`

List all webhooks on your workspace. Secrets are not returned; secret_prefix shows which secret a webhook was created with.

Scope: `read`

**Request**

```bash
curl 'https://api.sndr.sh/v1/webhooks' \
  -H "Authorization: Bearer $SNDR_API_KEY"
```

**Response** (200)

```json
{
  "data": [
    {
      "id":              "wh_2a7d4e9c-6b1",
      "organization_id": "org_8d41c7a2-3f6",
      "url":             "https://your-app.com/webhooks/sndr",
      "events":          ["email.delivered", "email.bounced", "email.failed"],
      "secret_prefix":   "whsec_Xk9pQ2",
      "active":          true,
      "created_at":      "2026-03-10T10:00:00Z"
    }
  ],
  "has_more": false,
  "count":    1,
  "limit":    1
}
```

**Errors**

- `unauthenticated` (401): Missing or invalid API key.
- `insufficient_scope` (403): The API key is missing the read scope.
